* {
  box-sizing: border-box;
}

.editor {
  user-select: none;
  cursor: text;
}

.editor .cursor {
  position: absolute;
  background-color: black;
  width: 1px;
}

.editor .input {
  position: absolute;
  border: none;
  color: inherit;
  font: inherit;
  cursor: text;
  outline: none;
  overflow: hidden;
  padding: 0;
  pointer-events: none;
  resize: none;
}

.line {
  position: relative;
  display: block;
  line-height: 1.5;
  font-size: inherit;
}

.char-index {
  background-color: gray;
}

.indent-mark {
  position: absolute;
  height: 1em;
}

.indent {
  display: block;
}

.indent-mark .pad {
  display: inline-block;
  width: 1.5em;
  height: 1em;
  overflow: hidden;
}

.indent-mark .dot {
  position: absolute;
  display: block;
  right: 9px;
  top: 10px;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: black;
}
